Package org.lwjgl.opengl

# Class APPLEFence

java.lang.Object
org.lwjgl.opengl.APPLEFence

public final class APPLEFence extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_DRAW_PIXELS_APPLE`
Accepted by the <object> parameter of TestObjectAPPLE and FinishObjectAPPLE:
`static final int`
`GL_FENCE_APPLE`
Accepted by the <object> parameter of TestObjectAPPLE and FinishObjectAPPLE:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glDeleteFencesAPPLE(int fence)`
Overloads glDeleteFencesAPPLE.
`static void`
`glDeleteFencesAPPLE(IntBuffer fences)`
`static void`
`glFinishFenceAPPLE(int fence)`
`static void`
`glFinishObjectAPPLE(int object, int name)`
`static int`
`glGenFencesAPPLE()`
Overloads glGenFencesAPPLE.
`static void`
`glGenFencesAPPLE(IntBuffer fences)`
`static boolean`
`glIsFenceAPPLE(int fence)`
`static void`
`glSetFenceAPPLE(int fence)`
`static boolean`
`glTestFenceAPPLE(int fence)`
`static boolean`
`glTestObjectAPPLE(int object, int name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_DRAW_PIXELS_APPLE

public static final int GL_DRAW_PIXELS_APPLE
Accepted by the <object> parameter of TestObjectAPPLE and FinishObjectAPPLE:

See Also:
  - Constant Field Values

### GL_FENCE_APPLE

public static final int GL_FENCE_APPLE
Accepted by the <object> parameter of TestObjectAPPLE and FinishObjectAPPLE:

See Also:
  - Constant Field Values

## Method Details

### glGenFencesAPPLE

public static void glGenFencesAPPLE(IntBuffer fences)

### glGenFencesAPPLE

public static int glGenFencesAPPLE()
Overloads glGenFencesAPPLE.

### glDeleteFencesAPPLE

public static void glDeleteFencesAPPLE(IntBuffer fences)

### glDeleteFencesAPPLE

public static void glDeleteFencesAPPLE(int fence)
Overloads glDeleteFencesAPPLE.

### glSetFenceAPPLE

public static void glSetFenceAPPLE(int fence)

### glIsFenceAPPLE

public static boolean glIsFenceAPPLE(int fence)

### glTestFenceAPPLE

public static boolean glTestFenceAPPLE(int fence)

### glFinishFenceAPPLE

public static void glFinishFenceAPPLE(int fence)

### glTestObjectAPPLE

public static boolean glTestObjectAPPLE(int object, int name)

### glFinishObjectAPPLE

public static void glFinishObjectAPPLE(int object, int name)